﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS600C (1 yr) DC Offset IEEE
DATE:                  2009-10-03 22:36:16
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       130
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Model(s) Covered:
#        TDS 600C
#          TDS 654C, TDS 680C, TDS 684C, TDS 694C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Cursor Reading IEEE
#        Sub TDS500/600/700 Channel Name
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @Chan == 1
  1.002  RSLT         =
  1.003  RSLT         =DC VOLTAGE OFFSET ACCURACY
  1.004  ENDIF

  1.005  CALL         Sub TDS500/600/700 Channel Name
  1.006  RSLT         =
  1.007  RSLT         = [V @ChanName]

  1.008  HEAD         DC VOLTAGE OFFSET ACCURACY (CH [V @Chan])

  1.009  IF           ZCMPI(@ModelNum, "TDS 694C")
  1.010  RSLT         =
  1.011  HEAD         -2{ 10 mV/div}
  1.012  TARGET       -p
  1.013  CALL         Sub TDS500/600/700 Select Channel IEEE
  1.014  IEEE2        DISPLAY:GRATICULE FRAME
  1.014  IEEE2        HORIZONTAL:MAIN:SCALE 1.0E-3
  1.014  IEEE2        TRIG:MAIN:MODE AUTO
  1.014  IEEE2        TRIG:MAIN:EDGE:SOURCE LINE
  1.014  IEEE2        CURSOR:FUNCTION PAIRED
  1.014  IEEE2        CURSOR:PAIRED:SELECT CURSOR1;POSITION1 0
  1.015  IEEE2        ACQ:MODE AVE;NUMAV 16
  1.016  IEEE2        ACQ:STOPAFTER SEQUENCE;STATE RUN
  1.017  IEEE2        CH[V @Chan]:VOLTS 10E-3;POS 0;OFFS 0
  1.018  TARGET       -m
  1.019  CALL         Sub TDS500/600/700 Cursor Reading IEEE
  1.020  MATH         MEM = @CursVal / 1E-3
  1.021  MEMCX        0.0mV          2.5U

  2.001  RSLT         =
  2.002  HEAD         -2{ 101 mV/div}
  2.003  TARGET       -p
  2.004  IEEE2        CH[V @Chan]:VOLTS 101E-3;POS 0;OFFS 0
  2.005  TARGET       -m
  2.006  CALL         Sub TDS500/600/700 Cursor Reading IEEE
  2.007  MATH         MEM = @CursVal / 1E-3
  2.008  MEMCX        0.0mV          25.1U

  3.001  ELSE
  3.002  RSLT         =
  3.003  HEAD         -2{ 1 mV/div}
  3.004  TARGET       -p
  3.005  CALL         Sub TDS500/600/700 Select Channel IEEE
  3.006  IEEE2        DISPLAY:GRATICULE FRAME
  3.006  IEEE2        HORIZONTAL:MAIN:SCALE 1.0E-3
  3.006  IEEE2        TRIG:MAIN:MODE AUTO
  3.006  IEEE2        TRIG:MAIN:EDGE:SOURCE LINE
  3.006  IEEE2        CURSOR:FUNCTION PAIRED
  3.006  IEEE2        CURSOR:PAIRED:SELECT CURSOR1;POSITION1 0
  3.007  IEEE2        ACQ:MODE AVE;NUMAV 16
  3.008  IEEE2        ACQ:STOPAFTER SEQUENCE;STATE RUN
  3.009  IEEE2        CH[V @Chan]:VOLTS 1.0E-3;POS 0;OFFS 0
  3.010  TARGET       -m
  3.011  CALL         Sub TDS500/600/700 Cursor Reading IEEE
  3.012  MATH         MEM = @CursVal / 1E-3
  3.013  MEMCX        0.0mV          2.1U

  4.001  RSLT         =
  4.002  HEAD         -2{ 101 mV/div}
  4.003  TARGET       -p
  4.004  IEEE2        CH[V @Chan]:VOLTS 101E-3;POS 0;OFFS 0
  4.005  TARGET       -m
  4.006  CALL         Sub TDS500/600/700 Cursor Reading IEEE
  4.007  MATH         MEM = @CursVal / 1E-3
  4.008  MEMCX        0.0mV          75.6U

  5.001  RSLT         =
  5.002  HEAD         -2{ 1.01 V/div}
  5.003  TARGET       -p
  5.004  IEEE2        CH[V @Chan]:VOLTS 1.01;POS 0;OFFS 0
  5.005  TARGET       -m
  5.006  CALL         Sub TDS500/600/700 Cursor Reading IEEE
  5.007  MATH         MEM = @CursVal / 1E-3
  5.008  MEMCX        0mV            756U
  6.001  ENDIF

  6.002  HEAD         -2
  6.003  END
