﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS680C/684C (1 yr) Delta Time IEEE /9500
DATE:                  2009-11-09 18:25:44
AUTHOR:                Fluke
REVISION:              $Revision: 18373 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       155
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 600C
#          TDS 680C, TDS 684C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        95_4ck_1_deltaT.jpg
#        95_4ck_2_deltaT.jpg
#        95_4ck_3_deltaT.jpg
#        95_4ck_4_deltaT.jpg
#
#  Additional Equipment Required:
#        BNC 90 ° female to male adapter
#        BNC T(f-m-f) adapter
#        SMA T(f-m-f) adapter
#        Cable, 50 Ohm, SMA(m)-(m), 20", two sets
#        3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#        2 sets SMA Short
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Check the installed option of UUT. If 1G option (1 GS/s maximum) was
# installed, this test will be skipped according the manual request.
  1.001  IEEE2        *OPT?[I$]

  1.002  IF           FINDI(MEM2, "1G", 1)
  1.003  END
  1.004  ENDIF

  1.005  IF           @Chan == 1
  1.006  RSLT         =
  1.007  RSLT         = CHECK DELTA TIME MEASUREMENT ACCURACY
  1.008  ENDIF

  1.009  CALL         Sub TDS500/600/700 Channel Name
  1.010  RSLT         =
  1.011  RSLT         = [V @ChanName]

  1.012  HEAD         CHECK DELTA TIME MEASUREMENT ACCURACY
  1.013  TARGET

  1.014  LABEL        DELTA_TIME_MEASUREMENT
  1.015  CALL         Sub TDS500/600/700 Select Channel IEEE
  1.016  IEEE2        CH[V @Chan]:SCA 100E-3

  1.017  IF           @Bandwidth < 2E+9
  1.018  IEEE2        CH[V @Chan]:IMP FIF
  1.019  ENDIF

  1.020  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL

  1.021  IF           @Chan == 1
  1.022  PIC          95_4ck_1_deltaT.jpg
  1.023  ELSEIF       @Chan == 2
  1.024  PIC          95_4ck_2_deltaT.jpg
  1.025  ELSEIF       @Chan == 3
  1.026  PIC          95_4ck_3_deltaT.jpg
  1.027  ELSE
  1.028  PIC          95_4ck_4_deltaT.jpg
  1.029  ENDIF

  1.030  MATH         @TriggeredChkTimes = 1

  1.031  DO
  1.032  9500         0.5Vpp                       10kH           ED    S  L
  1.033  WAIT         -t 2 System Settling ...
  1.034  IEEE2        AUTOS EXEC
  1.035  IEEE2        HOR:SCA 2E-9
# Set the trig level is 50% of rising edge of the positive pulse
  1.036  IEEE2        TRIG:MAI:LEV 125E-3
  1.036  IEEE2        CH[V @Chan]:SCA 50E-3;POS -2.5
  1.037  WAIT         -t 2 System Settling ...
  1.038  IEEE2        TRIG:MAI:LEV 125E-3
  1.039  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  1.040  UNTIL        @Triggered

# Setting the statistic parameters of measurement
  1.041  IEEE2        ACQ:STATE STOP
  1.042  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYPE PWI;STATE ON
  1.043  IEEE2        MEASU:STATI:MOD OFF;MOD MEANSTD;WEI 1000
  1.044  IEEE2        MEASU:REFL:METH PERC;PERC:MID 50
  1.044  IEEE2        ACQ:STATE RUN
  1.045  WAIT         -t 30 Calculating Statistics...
  1.046  IEEE2        ACQ:STATE STOP
  1.047  IEEE2        MEASU:MEAS2:MEAN?[I]
  1.048  MATH         MeanVal = MEM / 1E-9
  1.049  IEEE2        MEASU:MEAS2:MAX?[I]
  1.050  MATH         MaxVal = MEM / 1E-9
  1.051  IEEE2        MEASU:MEAS2:MINI?[I]
  1.052  MATH         MinVal = MEM / 1E-9

  1.053  MATH         Max = MaxVal - MeanVal
  1.054  MATH         Min = MeanVal - MinVal
  1.055  MATH         MaxStr = FMT(Max, "%.3f") & " ns"
  1.056  MATH         MinStr = FMT(Min, "%.3f") & " ns"
  1.057  MEM2         = Limit : (Max - Mean) <= 0.040 ns, Result: [V MaxStr]
  1.058  EVAL   -e Max <= 0.040 : [MEM2]

  2.001  JMPL         CHECK_LOW_LIMIT

# This TARGET statement is necessary, so a new measurement is taken, if the
# low limit fails, and the operator selects Repeat or Cancel in the Post Test
# dialog.
  2.002  TARGET
  2.003  JMPL         DELTA_TIME_MEASUREMENT

  2.004  LABEL        CHECK_LOW_LIMIT
  2.005  MEM2         = Limit : (Mean - Min) <= 0.040 ns, Result: [V MinStr]
  2.006  EVAL   -e Min <= 0.040 : [MEM2]

  3.001  9500         *                                                 S
  3.002  END



